function VarTypeChar(
    table,      // Responsible TableOfVars instance
    varName     // Name of this variable
) {
    VarType.call(this, table, varName);
}
VarTypeChar.prototype = Object.create(VarType.prototype);
VarTypeChar.prototype.constructor = VarTypeChar;

/** Add to list of available types */
TableOfVars.varTypes.push(VarTypeChar);

/** Name of variable type */
VarTypeChar.typeName = 'char';
VarTypeChar.prototype.typeName = 'char';

/** Used number of bytes to store this variable */
VarTypeChar.countBytes = 2;

/** Default value of variables of this type */
VarTypeChar.defaultValue = '';

/** Present value */
Object.defineProperty(VarTypeChar.prototype, 'value', { enumerable: true,
    get() { return this.input.value.length ? this.input.value : String.fromCharCode(0); },
    set(v) {
        const char = ('' + v).substring(0, 1);
        this.input.value = (char.length && char.charCodeAt(0)) ? char : '';
    }
});

/**
* Create a input for this type
* @return HTMLElement       Created input, select, …
*/
VarTypeChar.prototype._createInput = function(
    document        // HTMLDocument instance to use
) {
    const input = document.createElement('input');
    input.type = 'text';
    input.value = VarTypeChar.defaultValue;
    input.maxLength = 1;
    return input;
}
